// =====================================================================
//  $Id: terminal.cc,v 1.4 2003/10/06 04:03:39 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: terminal.cc,v $
//  Revision 1.4  2003/10/06 04:03:39  goiwai
//  TArgumentを使用するように全てのプログラムを修整しました.
//
//  Revision 1.3  2003/07/30 16:21:39  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TRunManager.hh"
#include "TTerminalUserInterface.hh"
#include "TBenchmark.hh"
#include "TArgument.hh"

int main( int argc, char** argv, char** envv )
{
  TArgument arg( argc, argv );

  TBenchmark bench;
  bench.Start();

  TRunManager* manager = new TRunManager( new TTerminalUserInterface() );
  //どちらでもおなじこと
  //TRunManager* manager = new TRunManager();
  manager -> SessionStart();
  delete manager;

  bench.Stop();
  Tcout << bench << Tendl;

  return 0;
}
